import {} from 'viem';
import {} from 'viem/zksync';
import { deployContract } from './actions/deployContract.js';
import { sendTransaction, sendTransactionBatch, } from './actions/sendTransaction.js';
import { signTransaction } from './actions/signTransaction.js';
import { writeContract } from './actions/writeContract.js';
export function globalWalletActions(signerClient, publicClient, isPrivyCrossApp = false) {
    return (client) => ({
        sendTransaction: (args) => sendTransaction(client, signerClient, publicClient, args, isPrivyCrossApp),
        sendTransactionBatch: (args) => sendTransactionBatch(client, signerClient, publicClient, args),
        signTransaction: (args) => signTransaction(client, signerClient, args),
        deployContract: (args) => deployContract(client, signerClient, publicClient, args, isPrivyCrossApp),
        writeContract: (args) => writeContract(Object.assign(client, {
            sendTransaction: (args) => sendTransaction(client, signerClient, publicClient, args, isPrivyCrossApp),
        }), signerClient, publicClient, args),
    });
}
//# sourceMappingURL=walletActions.js.map